using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioConsumos
    {
        public void Insert(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            try
            {
                dalConsumos = new dalConsumos();

                dalConsumos.Insert(objConsumos);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Insert_1(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            try
            {
                dalConsumos = new dalConsumos();

                dalConsumos.Insert_1(objConsumos);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Insert_2(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            try
            {
                dalConsumos = new dalConsumos();

                dalConsumos.Insert_2(objConsumos);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            try
            {
                dalConsumos = new dalConsumos();

                dalConsumos.Update(objConsumos);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeConsumos objConsumos)

        {
            dalConsumos dalConsumos = null;

            try
            {
                dalConsumos = new dalConsumos();

                dalConsumos.Update_1(objConsumos);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            try
            {
                dalConsumos = new dalConsumos();

                dalConsumos.Delete(objConsumos);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            try
            {
                dalConsumos = new dalConsumos();

                dalConsumos.Execute(objConsumos);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;
            DataTable dt = null;

            try
            {
                dalConsumos = new dalConsumos();
                dt = dalConsumos.Select(objConsumos);

                return dt;

            }
            catch (Exception)
            {
                throw;
            }

        }

        public IList<entidadeConsumos> Select_1(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            var lstConsumos = new List<entidadeConsumos>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalConsumos = new dalConsumos();

                dt = dalConsumos.Select_1(objConsumos);

                regranegocioGlobal = new regraNegocioGlobal();

                lstConsumos = regraNegocioGlobal.ConvertDataTable<entidadeConsumos>(dt);

                return lstConsumos;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeConsumos> Select_2(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            var lstConsumos = new List<entidadeConsumos>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalConsumos = new dalConsumos();

                dt = dalConsumos.Select_2(objConsumos);

                regranegocioGlobal = new regraNegocioGlobal();

                lstConsumos = regraNegocioGlobal.ConvertDataTable<entidadeConsumos>(dt);

                return lstConsumos;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeConsumos> Select_3(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            var lstConsumos = new List<entidadeConsumos>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalConsumos = new dalConsumos();

                dt = dalConsumos.Select_3(objConsumos);

                regranegocioGlobal = new regraNegocioGlobal();

                lstConsumos = regraNegocioGlobal.ConvertDataTable<entidadeConsumos>(dt);

                return lstConsumos;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeConsumos> Select_4(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            var lstConsumos = new List<entidadeConsumos>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalConsumos = new dalConsumos();

                dt = dalConsumos.Select_4(objConsumos);

                regranegocioGlobal = new regraNegocioGlobal();

                lstConsumos = regraNegocioGlobal.ConvertDataTable<entidadeConsumos>(dt);

                return lstConsumos;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select_5(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;
            DataTable dt = null;

            try
            {
                dalConsumos = new dalConsumos();
                dt = dalConsumos.Select_4(objConsumos);

                return dt;

            }
            catch (Exception)
            {
                throw;
            }

        }

        public IList<entidadeConsumos> Select_6(entidadeConsumos objConsumos)
        {
            dalConsumos dalConsumos = null;

            var lstConsumos = new List<entidadeConsumos>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalConsumos = new dalConsumos();

                dt = dalConsumos.Select_6(objConsumos);

                regranegocioGlobal = new regraNegocioGlobal();

                lstConsumos = regraNegocioGlobal.ConvertDataTable<entidadeConsumos>(dt);

                return lstConsumos;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
